clang-tools 8.0.0

Static Public Member Functions | List of all members
llvm::yaml::MappingTraits< SymbolLocation > Struct Template Reference

## Static Public Member Functions
static void | mapping (IO &IO, SymbolLocation &Value)

## Detailed Description

### template<>
struct llvm::yaml::MappingTraits< SymbolLocation >

Definition at line 146 of file YAMLSerialization.cpp.

## Member Function Documentation

## ◆ mapping()

static void llvm::yaml::MappingTraits< SymbolLocation >::mapping | ( | IO & | IO,
|  | SymbolLocation & | Value
| ) |  |
| inline static

Definition at line 147 of file YAMLSerialization.cpp.

References clang::clangd::SymbolLocation::End, clang::clangd::SymbolLocation::FileURI, and clang::clangd::SymbolLocation::Start.

The documentation for this struct was generated from the following file:

- YAMLSerialization.cpp